Index: mimefilter.h
===================================================================
--- mimefilter.h	(revision 739873)
+++ mimefilter.h	(working copy)
@@ -5,7 +5,7 @@
  *
  * Date        : 2007-10-22
  * Description : a widget to filter album contents by type mime
- * 
+ *
  * Copyright (C) 2007 by Gilles Caulier <caulier dot gilles at gmail dot com>
  *
  * This program is free software; you can redistribute it
@@ -13,7 +13,7 @@
  * Public License as published by the Free Software Foundation;
  * either version 2, or (at your option)
  * any later version.
- * 
+ *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@@ -36,12 +36,13 @@
 class MimeFilter : public QComboBox
 {
     Q_OBJECT
-    
+
 public:
 
     enum TypeMimeFilter
     {
-        AllFiles = 0,  
+        AllFiles = 0,
+        NoRAWFiles,
         JPGFiles,
         PNGFiles,
         TIFFiles,
Index: albumlister.cpp
===================================================================
--- albumlister.cpp	(revision 739873)
+++ albumlister.cpp	(working copy)
@@ -8,7 +8,7 @@
  *
  * Copyright (C) 2004-2005 by Renchi Raju <renchi@pooh.tam.uiuc.edu>
  * Copyright (C) 2007 by Gilles Caulier <caulier dot gilles at gmail dot com>
- * Copyright (C) 2007 by Arnd Baecker <arnd dot baecker at web dot de> 
+ * Copyright (C) 2007 by Arnd Baecker <arnd dot baecker at web dot de>
  *
  * This program is free software; you can redistribute it
  * and/or modify it under the terms of the GNU General
@@ -94,7 +94,7 @@
 
     QList<int>                      tagFilter;
 
-    int                             ratingFilter; 
+    int                             ratingFilter;
 
     QTimer                         *filterTimer;
 
@@ -254,7 +254,7 @@
         QList<int> tagIds = info.tagIds();
         QList<int>::iterator it;
 
-        if (d->matchingCond == OrCondition)        
+        if (d->matchingCond == OrCondition)
         {
             for (it = d->tagFilter.begin(); it != d->tagFilter.end(); ++it)
             {
@@ -297,7 +297,7 @@
 
     //-- Filter by rating ---------------------------------------------------------
 
-    if (d->ratingFilter >= 0) 
+    if (d->ratingFilter >= 0)
     {
         // for now we treat -1 (no rating) just like a rating of 0.
         int rating = info.rating();
@@ -335,11 +335,11 @@
     QFileInfo fi(info.filePath());
     QString mimeType = fi.suffix().toUpper();
 
-    switch(d->mimeTypeFilter) 
+    switch(d->mimeTypeFilter)
     {
         case MimeFilter::JPGFiles:
         {
-            if (mimeType != QString("JPG") && mimeType != QString("JPE") && 
+            if (mimeType != QString("JPG") && mimeType != QString("JPE") &&
                 mimeType != QString("JPEG"))
                 match = false;
             break;
@@ -356,6 +356,13 @@
                 match = false;
             break;
         }
+        case MimeFilter::NoRAWFiles:
+        {
+            QString rawFilesExt(AlbumSettings::instance()->getRawFileFilter());
+            if (rawFilesExt.toUpper().contains(mimeType))
+                match = false;
+            break;
+        }
         case MimeFilter::RAWFiles:
         {
             QString rawFilesExt(AlbumSettings::instance()->getRawFileFilter());
Index: mimefilter.cpp
===================================================================
--- mimefilter.cpp	(revision 739873)
+++ mimefilter.cpp	(working copy)
@@ -5,7 +5,7 @@
  *
  * Date        : 2007-10-22
  * Description : a widget to filter album contents by type mime
- * 
+ *
  * Copyright (C) 2007 by Gilles Caulier <caulier dot gilles at gmail dot com>
  *
  * This program is free software; you can redistribute it
@@ -13,7 +13,7 @@
  * Public License as published by the Free Software Foundation;
  * either version 2, or (at your option)
  * any later version.
- * 
+ *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@@ -49,21 +49,22 @@
 {
     d = new MimeFilterPriv;
     insertItem( AllFiles,    i18n("All Files") );
+    insertItem( NoRAWFiles,  i18n("No RAW files") );
     insertItem( JPGFiles,    i18n("JPEG Files") );
     insertItem( PNGFiles,    i18n("PNG files") );
     insertItem( TIFFiles,    i18n("TIFF files") );
     insertItem( RAWFiles,    i18n("RAW files") );
-    insertItem( MoviesFiles, i18n("Movies files") );
+    insertItem( MoviesFiles, i18n("Movie files") );
     insertItem( AudioFiles,  i18n("Audio files") );
 
-    setToolTip(i18n("Mime type filter"));
-    setWhatsThis(i18n("Select here the mime type pattern used to filter albums contents"));
+    setToolTip(i18n("Filter by file type"));
+    setWhatsThis(i18n("Select the file types (mime types) you want to show"));
 
     setMimeFilter(AllFiles);
 }
 
 MimeFilter::~MimeFilter()
-{    
+{
     delete d;
 }
 
